/* Warpzilla Folder/icon script, comments go to sehh@altered.com */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs
dir=directory()

rc=SysCreateObject('WPFolder',,
'Warpzilla',,
'<WP_DESKTOP>',,
'OBJECTID=<WARPZILLAFLDR>;'||,
'ALWAYSSORT=YES;'||,
'BACKGROUND='||dir||'\backgrnd.bmp,T,4,I;'||,
'ICONTEXTCOLOR=yellow;'||,
'ICONSHADOWCOLOR=yellow',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Warpzilla',,
'<WARPZILLAFLDR>',,
'EXENAME='||dir||'\MOZILLA.EXE;'||,
'STARTUPDIR='||dir||';'||,
'OBJECTID=<WARPZILLAEXE>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Warpzilla^Profile Wizard',,
'<WARPZILLAFLDR>',,
'EXENAME='||dir||'\MOZILLA.EXE;'||,
'PARAMETERS=-ProfileWizard;'||,
'STARTUPDIR='||dir||';'||,
'OBJECTID=<WARPZILLAWIZARD>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Warpzilla^Profile Manager',,
'<WARPZILLAFLDR>',,
'EXENAME='||dir||'\MOZILLA.EXE;'||,
'PARAMETERS=-ProfileManager;'||,
'STARTUPDIR='||dir||';'||,
'OBJECTID=<WARPZILLAMANAGER>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Warpzilla^Select Profile',,
'<WARPZILLAFLDR>',,
'EXENAME='||dir||'\MOZILLA.EXE;'||,
'PARAMETERS=-SelectProfile;'||,
'STARTUPDIR='||dir||';'||,
'OBJECTID=<WARPZILLAPROFILE>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Warpzilla^Profile Migrator',,
'<WARPZILLAFLDR>',,
'EXENAME='||dir||'\MOZILLA.EXE;'||,
'PARAMETERS=-installer;'||,
'STARTUPDIR='||dir||';'||,
'OBJECTID=<WARPZILLAMIGRATE>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Warpzilla^Editor',,
'<WARPZILLAFLDR>',,
'EXENAME='||dir||'\MOZILLA.EXE;'||,
'PARAMETERS=-edit;'||,
'STARTUPDIR='||dir||';'||,
'OBJECTID=<WARPZILLAEDITOR>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Warpzilla^Newsgroups',,
'<WARPZILLAFLDR>',,
'EXENAME='||dir||'\MOZILLA.EXE;'||,
'PARAMETERS=-news;'||,
'STARTUPDIR='||dir||';'||,
'OBJECTID=<WARPZILLANEWS>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Warpzilla^Message Compose',,
'<WARPZILLAFLDR>',,
'EXENAME='||dir||'\MOZILLA.EXE;'||,
'PARAMETERS=-compose;'||,
'STARTUPDIR='||dir||';'||,
'OBJECTID=<WARPZILLACOMP>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Warpzilla^Mail',,
'<WARPZILLAFLDR>',,
'EXENAME='||dir||'\MOZILLA.EXE;'||,
'PARAMETERS=-mail;'||,
'STARTUPDIR='||dir||';'||,
'OBJECTID=<WARPZILLAMAIL>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Warpzilla^Addressbook',,
'<WARPZILLAFLDR>',,
'EXENAME='||dir||'\MOZILLA.EXE;'||,
'PARAMETERS=-addressbook;'||,
'STARTUPDIR='||dir||';'||,
'OBJECTID=<WARPZILLAADDRESS>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Warpzilla^IRC chat',,
'<WARPZILLAFLDR>',,
'EXENAME='||dir||'\MOZILLA.EXE;'||,
'PARAMETERS=-chat;'||,
'STARTUPDIR='||dir||';'||,
'OBJECTID=<WARPZILLACHAT>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Warpzilla^JavaScript Console',,
'<WARPZILLAFLDR>',,
'EXENAME='||dir||'\MOZILLA.EXE;'||,
'PARAMETERS=-jsconsole;'||,
'STARTUPDIR='||dir||';'||,
'OBJECTID=<WARPZILLAJSCONSOLE>',,
'Update' )

rc=SysCreateObject('WPProgram',,
'Warpzilla^JavaScript Shell',,
'<WARPZILLAFLDR>',,
'EXENAME='||dir||'\XPCSHELL.EXE;'||,
'STARTUPDIR='||dir||';'||,
'OBJECTID=<WARPZILLAJSSHELL>',,
'Update' )

rc=SysCreateShadow('SHADOWID='||dir||'\READ.ME;','<WARPZILLAFLDR>')

rc=SysCreateShadow('SHADOWID='||dir||'\LICENSE;','<WARPZILLAFLDR>')
